SUBROUTINE PRDST190(AA,RMR,IMAXR,LUW_DST)

implicit none

INTEGER, PARAMETER :: iknd=SELECTED_INT_KIND(8)  ! nobody does this
INTEGER, PARAMETER :: DP=SELECTED_REAL_KIND(14)  ! this is double precision
INTEGER, PARAMETER :: SP=SELECTED_REAL_KIND(6)  ! this is single precision

real(DP), DIMENSION(1) :: AA,RMR
integer :: luw_dst,ij,ijs,ije,imaxr,is


WRITE(LUW_DST,95)
IJ = 2
76 CONTINUE
IJS = IJ
IJE = MIN(IJ+11,IMAXR)
WRITE(LUW_DST,81)(RMR(IS),IS=IJS,IJE)
81 FORMAT(2X,'RADIUS:',12F8.3)
WRITE(LUW_DST,82)(AA(IS),IS=IJS,IJE)
82 FORMAT(2X,'TEMP:  ',12F8.3)
WRITE(LUW_DST,83)
83 FORMAT(1H )
IF(IJE >= IMAXR) GO TO 90
IJ = IJ+12
GO TO 76

90 CONTINUE
WRITE(LUW_DST,95)
95 FORMAT(1X,80(1H*))

RETURN
END subroutine prdst190